
QGIS Application - Bug report #7077

Opening 1.8 project in 1.9 changes shading of raster layers

2013-01-29 10:20 PM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 16161

Description

I have a few projects in 1.8.0 that have raster layers that are terrain relief shading. I have set these up to be shaded as single band gray

with 80% global transparency.

When I open the same project in 1.9 the shading is changed into a colour and it comes up as green and loses the transparency. This

means I have to go through all the images, again, and change them all back to what they were before.

QGIS version    1.9.0-Master    QGIS code revision    2a4d79d

Compiled against Qt    4.7.1    Running against Qt    4.7.1

Compiled against GDAL/OGR    1.9.2    Running against GDAL/OGR    1.9.2

GEOS Version    3.3.6    PostgreSQL Client Version    8.3.10

SpatiaLite Version    3.0.1    QWT Version    5.2.1

PROJ.4 Version    480    QScintilla2 Version    2.6.2

This copy of QGIS writes debugging output.

History

#1 - 2013-01-30 03:03 PM - Giovanni Manghi

- Category set to Rasters

#2 - 2016-01-02 12:53 PM - Sebastian Dietrich

Is this still true for master?

Can you attach an example, e.g. a QGIS-1.8 project with one affected raster layer, including the raster file?

#3 - 2016-01-03 04:58 AM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2016-01-20 12:16 AM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Feedback to Closed

Closing as wontfix due to age of 1.8/1.9 versions
